Package tigase.util.ui.console

# Enum Class AnsiColor

java.lang.Object
java.lang.Enum<AnsiColor>
tigase.util.ui.console.AnsiColor

All Implemented Interfaces:
  `Serializable`, `Comparable<AnsiColor>`, `Constable`

public enum AnsiColor extends Enum<AnsiColor>
Codes to control colours in compatible terminals, based on https://en.wikipedia.org/wiki/ANSI_escape_code#3/4_bit

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLACK`
  `BLACK_BOLD`
  `BLACK_BOLD_BRIGHT`
  `BLACK_BRIGHT`
  `BLUE`
  `BLUE_BOLD`
  `BLUE_BOLD_BRIGHT`
  `BLUE_BRIGHT`
  `CYAN`
  `CYAN_BOLD`
  `CYAN_BOLD_BRIGHT`
  `CYAN_BRIGHT`
  `GREEN`
  `GREEN_BOLD`
  `GREEN_BOLD_BRIGHT`
  `GREEN_BRIGHT`
  `MAGENTA`
  `MAGENTA_BOLD`
  `MAGENTA_BOLD_BRIGHT`
  `MAGENTA_BRIGHT`
  `RED`
  `RED_BOLD`
  `RED_BOLD_BRIGHT`
  `RED_BRIGHT`
  `RESET`
  `WHITE`
  `WHITE_BOLD`
  `WHITE_BOLD_BRIGHT`
  `WHITE_BRIGHT`
  `YELLOW`
  `YELLOW_BOLD`
  `YELLOW_BOLD_BRIGHT`
  `YELLOW_BRIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isCompatible()`
  `String`
  `toString()`
  `static AnsiColor`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnsiColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RESET

    public static final AnsiColor RESET

  - ### BLACK

    public static final AnsiColor BLACK

  - ### RED

    public static final AnsiColor RED

  - ### GREEN

    public static final AnsiColor GREEN

  - ### YELLOW

    public static final AnsiColor YELLOW

  - ### BLUE

    public static final AnsiColor BLUE

  - ### MAGENTA

    public static final AnsiColor MAGENTA

  - ### CYAN

    public static final AnsiColor CYAN

  - ### WHITE

    public static final AnsiColor WHITE

  - ### BLACK_BRIGHT

    public static final AnsiColor BLACK_BRIGHT

  - ### RED_BRIGHT

    public static final AnsiColor RED_BRIGHT

  - ### GREEN_BRIGHT

    public static final AnsiColor GREEN_BRIGHT

  - ### YELLOW_BRIGHT

    public static final AnsiColor YELLOW_BRIGHT

  - ### BLUE_BRIGHT

    public static final AnsiColor BLUE_BRIGHT

  - ### MAGENTA_BRIGHT

    public static final AnsiColor MAGENTA_BRIGHT

  - ### CYAN_BRIGHT

    public static final AnsiColor CYAN_BRIGHT

  - ### WHITE_BRIGHT

    public static final AnsiColor WHITE_BRIGHT

  - ### BLACK_BOLD

    public static final AnsiColor BLACK_BOLD

  - ### RED_BOLD

    public static final AnsiColor RED_BOLD

  - ### GREEN_BOLD

    public static final AnsiColor GREEN_BOLD

  - ### YELLOW_BOLD

    public static final AnsiColor YELLOW_BOLD

  - ### BLUE_BOLD

    public static final AnsiColor BLUE_BOLD

  - ### MAGENTA_BOLD

    public static final AnsiColor MAGENTA_BOLD

  - ### CYAN_BOLD

    public static final AnsiColor CYAN_BOLD

  - ### WHITE_BOLD

    public static final AnsiColor WHITE_BOLD

  - ### BLACK_BOLD_BRIGHT

    public static final AnsiColor BLACK_BOLD_BRIGHT

  - ### RED_BOLD_BRIGHT

    public static final AnsiColor RED_BOLD_BRIGHT

  - ### GREEN_BOLD_BRIGHT

    public static final AnsiColor GREEN_BOLD_BRIGHT

  - ### YELLOW_BOLD_BRIGHT

    public static final AnsiColor YELLOW_BOLD_BRIGHT

  - ### BLUE_BOLD_BRIGHT

    public static final AnsiColor BLUE_BOLD_BRIGHT

  - ### MAGENTA_BOLD_BRIGHT

    public static final AnsiColor MAGENTA_BOLD_BRIGHT

  - ### CYAN_BOLD_BRIGHT

    public static final AnsiColor CYAN_BOLD_BRIGHT

  - ### WHITE_BOLD_BRIGHT

    public static final AnsiColor WHITE_BOLD_BRIGHT

- ## Method Details

  - ### values

    public static AnsiColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnsiColor valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isCompatible

    public static boolean isCompatible()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<AnsiColor>`